org.bdgenomics.adam.models

# SequenceRecord

###
Related Docs: class SequenceRecord | package models

#### object SequenceRecord extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceRecord
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val GENBANK_TAG: String

5. #### val REFSEQ_TAG: String

6. #### def apply(name: String, length: Long, md5: String = null, url: String = null, refseq: String = null, genbank: String = null, assembly: String = null, species: String = null, referenceIndex: Option[Int] = None): SequenceRecord

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def fromADAMContig(contig: Contig): SequenceRecord

13. #### def fromADAMContigFragment(fragment: NucleotideContigFragment): SequenceRecord

14. #### def fromSAMSequenceRecord(record: SAMSequenceRecord): SequenceRecord

15. #### def fromSpecificRecord(rec: IndexedRecord): SequenceRecord

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toADAMContig(record: SequenceRecord): Contig

24. #### def toSAMSequenceRecord(record: SequenceRecord): SAMSequenceRecord

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped